Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519500 - Flickering external displays on Lenovo T460
Summary: Flickering external displays on Lenovo T460
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Lyude
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 19:10 UTC by Paul Gozart
Modified: 2018-06-15 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 20:17:19 UTC


Attachments (Terms of Use)

Description Paul Gozart 2017-11-30 19:10:12 UTC
Description of problem:
Customer says, "i have a problem attaching external displays to the Lenovo T460 sometimes. After booting the T460 to the Desktop and starting to attach the both displays one after the other i sometimes end with two flickering external displays. I can't reproduce this problem always but in most cases it happens when attaching the Display Port first and after that the HDMI display.  Doing it in the reverse order (HDMI and than the DP) doesn't seem to cause any problems. Booting the T460 with both displays attached works fine too."


Version-Release number of selected component (if applicable):
RHEL 7.4 Workstation


How reproducible:
Sometimes


Steps to Reproduce:
1.  Boot up RHEL 7.4 Workstation on a Lenovo T460
2.  Plug in external monitor via Display Port first
3.  Plug in external monitor via HDMI second


Actual results:
Both monitors flicker 


Expected results:
Neither monitor flickers regardless of order attached


Additional info:

Comment 2 Lyude 2018-01-27 00:15:25 UTC
Hi, can you get me the following information?

A full dmesg log with drm.debug=0x6 added to your kernel cmdline
The output of /sys/kernel/debug/dri/0/i915_display_info from after plugging in the monitors
Whether or not the 7.5 beta fixes this issue
A description of what kind of setup you have these monitors hooked up to, along with what kind of monitors we're talking about here. e.g. is it hooked up through a dock, directly to the laptop, through adaptors? etc.


Note You need to log in before you can comment on or make changes to this bug.